diff --git a/core/__cdist_exec_fail_on_error b/core/__cdist_run
similarity index 77%
rename from core/__cdist_exec_fail_on_error
rename to core/__cdist_run
index 96e5f056..db9fd8d9 100755
--- a/core/__cdist_exec_fail_on_error
+++ b/core/__cdist_run
@@ -18,18 +18,15 @@
# along with cdist. If not, see .
#
#
-# Exit if an error occurs
+# Exit if an error occurs running something
#
-__cdist_exec_fail_on_error()
+__cdist_run()
{
set +e
- sh -e "$@"
+ "$@"
if [ "$?" -ne 0 ]; then
- __cdist_echo error "$1 exited non-zero"
- __cdist_echo warn "Faulty code:"
- cat "$1"
- __cdist_exit_err "Aborting due to non-zero exit code."
+ __cdist_echo error "$1 exited non-zero, aborting."
fi
set -e
}
diff --git a/core/__cdist_run_shell b/core/__cdist_run_shell
new file mode 100755
index 00000000..07fb3d65
--- /dev/null
+++ b/core/__cdist_run_shell
@@ -0,0 +1,36 @@
+#!/bin/sh
+#
+# 2011 Nico Schottelius (nico-cdist at schottelius.org)
+#
+# This file is part of cdist.
+#
+# cdist is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# cdist is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with cdist. If not, see .
+#
+#
+# Exit if an error occurs when running a shell script
+#
+
+__cdist_run_shell()
+{
+ set +e
+ sh -e "$@"
+ if [ "$?" -ne 0 ]; then
+ __cdist_echo error "$1 exited non-zero, aborting."
+ # __cdist_echo error "$1 exited non-zero"
+ # __cdist_echo warn "Faulty code:"
+ # cat "$1"
+ # __cdist_exit_err "Aborting due to non-zero exit code."
+ fi
+ set -e
+}